

From: <WHarms@bfs.de>(Walter Harms)

Hi list,
while checking 2.6.1 for missing checks(). fs/jffs/inode-v23.c
got overlooked somehow.

This patch fixes:
2 unguarded kmem_cache_create
1 unguarded proc_mkdir



---

 25-akpm/fs/jffs/inode-v23.c |   12 ++++++++++++
 1 files changed, 12 insertions(+)

diff -puN fs/jffs/inode-v23.c~janitor-jffs-checks fs/jffs/inode-v23.c
--- 25/fs/jffs/inode-v23.c~janitor-jffs-checks	Fri Feb 20 16:22:24 2004
+++ 25-akpm/fs/jffs/inode-v23.c	Fri Feb 20 16:22:24 2004
@@ -1807,13 +1807,25 @@ init_jffs_fs(void)
 	
 #ifdef CONFIG_JFFS_PROC_FS
 	jffs_proc_root = proc_mkdir("jffs", proc_root_fs);
+	if (!jffs_proc_root) {
+		printk(KERN_WARNING "cannot create /proc/jffs entry\n");
+	}
 #endif
 	fm_cache = kmem_cache_create("jffs_fm", sizeof(struct jffs_fm),
 				     0, SLAB_HWCACHE_ALIGN|SLAB_RECLAIM_ACCOUNT, 
 				     NULL, NULL);
+	if (!fm_cache) {
+		return -ENOMEM;
+	}
+
 	node_cache = kmem_cache_create("jffs_node",sizeof(struct jffs_node),
 				       0, SLAB_HWCACHE_ALIGN|SLAB_RECLAIM_ACCOUNT, 
 				       NULL, NULL);
+	if (!node_cache) {
+		kmem_cache_destroy(fm_cache);
+		return -ENOMEM;
+	}
+
 	return register_filesystem(&jffs_fs_type);
 }
 

_
